Skip to main content
GET
/
alerts
/
{id}
curl -H "Authorization: Bearer YOUR_KEY_HERE" \
  https://polychadsbot.xyz/api/v1/alerts/2220
{
  "id": 2220,
  "alert_type": "fresh_accumulator",
  "wallet_address": "0x9B3b4e3bD0e9c72FF8b1A3c...",
  "event_title": "US strikes Iran by March 31?",
  "side": "BUY",
  "outcome": "Yes",
  "entry_price": 0.19,
  "usdc_value": 1900.0,
  "signal_score": 80,
  "category": "world",
  "created_at": "2026-02-27 11:35:26",
  "details": {
    "wallet_age_days": 2,
    "is_accumulating": true,
    "market_buy_count": 3,
    "market_total_bought": 4500.0
  }
}
Have an exact alert ID from a webhook payload or WebSocket stream? Drop it here to pull down the full JSON object including all enrichment details.
id
integer
required
The unique ID of the alert.

Try it out

curl -H "Authorization: Bearer YOUR_KEY_HERE" \
  https://polychadsbot.xyz/api/v1/alerts/2220
{
  "id": 2220,
  "alert_type": "fresh_accumulator",
  "wallet_address": "0x9B3b4e3bD0e9c72FF8b1A3c...",
  "event_title": "US strikes Iran by March 31?",
  "side": "BUY",
  "outcome": "Yes",
  "entry_price": 0.19,
  "usdc_value": 1900.0,
  "signal_score": 80,
  "category": "world",
  "created_at": "2026-02-27 11:35:26",
  "details": {
    "wallet_age_days": 2,
    "is_accumulating": true,
    "market_buy_count": 3,
    "market_total_bought": 4500.0
  }
}

Authorizations

Authorization
string
header
required

Your API key — get one from @chadsapibot on Telegram

Path Parameters

id
integer
required

Alert ID

Response

Single alert

id
integer
alert_type
enum<string>
Available options:
fresh,
fresh_accumulator,
cluster
wallet_address
string
event_title
string
event_slug
string
market_id
string
side
enum<string>
Available options:
BUY,
SELL
outcome
string
entry_price
number
usdc_value
number
signal_score
integer
trade_count
integer
category
string
created_at
string
resolved
boolean
won
boolean | null
profit_usdc
number | null
details
object